Subject: Re: [RFC PATCH 0/4] Remove some e300/MPC83xx evaluation platforms

From: Paul Gortmaker <[email-masked]>
Date: Sat, 25 Feb 2023 11:20:12 -0500

[Re: [RFC PATCH 0/4] Remove some e300/MPC83xx evaluation platforms] On 25/02/2023 (Sat 07:40) Christophe Leroy wrote:

> 
> 
> Le 20/02/2023 ?? 12:59, Paul Gortmaker a ??crit??:
> > [This RFC is proposed for v6.4 and hence is based off linux-next.]
> > 
> > This series removes support for four e300 (MPC83xx) Freescale processor
> > family evaluation boards that were added to the kernel in the 2006 era.
> > 
> > These boards were all of a very similar form factor, a largish PCI or PCI-X
> > card that could also be used standalone with an external power brick, and
> > all shared the Modular Development System (MDS) designation.
> > 
> > These platforms were made in limited quantity and were generally designed
> > to get early silicon into the hands of OEMs who would later develop their
> > own boards/platforms.  As such, availability was limited to those who would
> > be working on boards and/or BSP support.
> > 
> > Many early revision MDS platforms used a mechanical clamping system to hold
> > the BGA CPU in place to facilitate CPU updates -- something not normally
> > possible for a soldered down BGA in a COTS system.
> > 
> > The point of these details is to give context that reflects that these four
> > boards were made in limited quantities, were not in a form factor that is
> > really "hobbyist" friendly and hence make sense for removal 17 years later.
> > 
> > Here, we remove the MPC8548E-MDS[1], the MPC8360E-MDS[2], the
> > MPC837xE-MDS[3], and the MPC832x-MDS[4] board support from the kernel.
> > 
> > There will still exist several e300 Freescale Reference Design System (RDS)
> > boards[5] and mini-ITX boards[6] with support in the kernel.  While these
> > were more of a COTS "ready to deploy" design more suited to hobbyists, it
> > probably makes sense to consider removing these as well, based on age.
> 
> Those boards are still being sold, see 
> https://www.components-store.fr/product/NXP-Semiconductors-Freescale/MPC8323E-RDB.html 
> they have 4600 pieces in stock.

Just to clarify for others - your link is for RDB boards - which I said
should be considered, but are not touched in this series.

Secondly, even if there may exist a large amount of NOS (New Old Stock)
of RDB boards from 15+ years ago - the reality is that they will only be
used in small quantities to repair legacy STB or similar - where no
hardware upgrade path exists.  That corner case will happen w/o changing
firmware or software (i.e. u-boot or kernel).

I can assure you that no sane company is going to take a 2006 STB/PVR
and do a software update to a 6.4 kernel.  That would go against decades
of Product Life Cycle experience, and would be inviting disaster as you
go up the wrong side of the bathtub curve.

As for hobbyists - feel free to go ahead and e-mail the folks at your
components-store link and ask for a quote, since they don't list a
price.  When you get an answer of $800-$2000 USD - tell me who is going
buy one vs. a modern PC.  Oh, and ask if they have next day shipping,
since they claim to have 4600 in stock - which also seems very suspect,
or a horribly bad investment on their part.

Don't get me wrong - I appreciate the input, but I don't think it really
alters what the right thing to do is for the 6.4+ kernel.

Thanks,
Paul.
--

> Christophe